SDL_assert_c.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | SDL_AssertionsQuit (void)

## Function Documentation

## SDL_AssertionsQuit()

void SDL_AssertionsQuit | ( | void |  | ) |

Definition at line 387 of file SDL_assert.c.

References NULL, SDL_DestroyMutex, and SDL_GenerateAssertionReport().

Referenced by SDL_Quit().

{
SDL_GenerateAssertionReport();
#ifndef SDL_THREADS_DISABLED
if (assertion_mutex != NULL) {
SDL_DestroyMutex(assertion_mutex);
assertion_mutex = NULL;
}
#endif
}
SDL_GenerateAssertionReport
static void SDL_GenerateAssertionReport(void)
Definition: SDL_assert.c:95
NULL
#define NULL
Definition: begin_code.h:164
SDL_DestroyMutex
#define SDL_DestroyMutex
Definition: SDL_dynapi_overrides.h:263
assertion_mutex
static SDL_mutex * assertion_mutex
Definition: SDL_assert.c:62